-- MM_MapSweeper
-- Author: Marius
-- DateCreated: 11/11/2018 11:54:08 AM
--------------------------------------------------------------

MAP_X, MAP_Y = Map.GetGridSize()
print("MM_MapSweeper")
--Gather all of the Natural Wonders into a table for later reference
tFeatures = {}
--Table to discern Natural Wonders that provide happiness
tHappinessFeatures = {}
gNumNaturalWonders = 0
for row in DB.Query("SELECT * FROM Features WHERE NaturalWonder = '1'") do
	tFeatures[row.ID] = true
	if row.InBorderHappiness > 0 then tHappinessFeatures[row.ID] = row.InBorderHappiness end
end

function Sweep()
	--As far as I know of, there is no method to determine how many natural wonders are the map
	--For that reason, we need to check every tile on the map on count up all of the natural wonders we find
	iStart = os.clock()
	for x = 0, MAP_X - 1, 1 do
		for y = 0, MAP_Y - 1, 1 do
			local pPlot = Map.GetPlot(x, y)
			if pPlot then
				if tFeatures[pPlot:GetFeatureType()] then gNumNaturalWonders = gNumNaturalWonders + 1 end
			end
		end
	end
	print("Time elapsed: " .. os.clock() - iStart)
end

